- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# gcp_compute_subnetwork_info – Gather info for GCP Subnetwork

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Gather info for GCP Subnetwork

- This module was called `gcp_compute_subnetwork_facts` before Ansible 2.9. The usage has not changed.

Aliases: gcp_compute_subnetwork_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- requests >= 2.18.4

- google-auth >= 1.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auth_kind string / required | Choices: application machineaccount serviceaccount | The type of credential used.
env_type string |  | Specifies which Ansible environment you're running this module within. This should not be set unless you know what you're doing. This only alters the User Agent string for any API requests.
filters list |  | A list of filter value pairs. Available filters are listed here https://cloud.google.com/sdk/gcloud/reference/topic/filters. Each additional filter in the list will act be added as an AND condition (filter1 and filter2) .
project string |  | The Google Cloud Platform project to use.
region string / required |  | URL of the GCP region for this subnetwork.
scopes list |  | Array of scopes to be used.
service_account_contents jsonarg |  | The contents of a Service Account JSON file, either in a dictionary or as a JSON string that represents it.
service_account_email string |  | An optional service account email address if machineaccount is selected and the user does not wish to use the default email.
service_account_file path |  | The path of a Service Account JSON file if serviceaccount is selected as type.

## Notes

Note

- for authentication, you can set service_account_file using the c(gcp_service_account_file) env variable.

- for authentication, you can set service_account_contents using the c(GCP_SERVICE_ACCOUNT_CONTENTS) env variable.

- For authentication, you can set service_account_email using the `GCP_SERVICE_ACCOUNT_EMAIL` env variable.

- For authentication, you can set auth_kind using the `GCP_AUTH_KIND` env variable.

- For authentication, you can set scopes using the `GCP_SCOPES` env variable.

- Environment variables values will only be used if the playbook values are not set.

- The service_account_email and service_account_file options are mutually exclusive.

## Examples

    - name: get info on a subnetwork
      gcp_compute_subnetwork_info:
        region: us-west1
        filters:
        - name = test_object
        project: test_project
        auth_kind: serviceaccount
        service_account_file: "/tmp/auth.pem"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
resources complex | always | List of resources
| creationTimestamp string | success | Creation timestamp in RFC3339 text format.
| description string | success | An optional description of this resource. Provide this property when you create the resource. This field can be set only at resource creation time.
| enableFlowLogs boolean | success | Whether to enable flow logging for this subnetwork.
| fingerprint string | success | Fingerprint of this resource. This field is used internally during updates of this resource.
| gatewayAddress string | success | The gateway address for default routes to reach destination addresses outside this subnetwork.
| id integer | success | The unique identifier for the resource.
| ipCidrRange string | success | The range of internal addresses that are owned by this subnetwork. Provide this property when you create the subnetwork. For example, 10.0.0.0/8 or 192.168.0.0/16. Ranges must be unique and non-overlapping within a network. Only IPv4 is supported.
| name string | success | The name of the resource, provided by the client when initially creating the resource. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.
| network dictionary | success | The network this subnet belongs to. Only networks that are in the distributed mode can have subnetworks.
| privateIpGoogleAccess boolean | success | When enabled, VMs in this subnetwork without external IP addresses can access Google APIs and services by using Private Google Access.
| region string | success | URL of the GCP region for this subnetwork.
| secondaryIpRanges complex | success | An array of configurations for secondary IP ranges for VM instances contained in this subnetwork. The primary IP of such VM must belong to the primary ipCidrRange of the subnetwork. The alias IPs may belong to either primary or secondary ranges.
|  | ipCidrRange string | success | The range of IP addresses belonging to this subnetwork secondary range. Provide this property when you create the subnetwork. Ranges must be unique and non-overlapping with all primary and secondary IP ranges within a network. Only IPv4 is supported.
|  | rangeName string | success | The name associated with this subnetwork secondary range, used when adding an alias IP range to a VM instance. The name must be 1-63 characters long, and comply with RFC1035. The name must be unique within the subnetwork.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Google Inc. (@googlecloudplatform)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.